Service to manage location information for HPE GreenLake platform.
- Delete a location
Locations API (v1)
The maximum number of results to be returned. A value below 1, above 2000 or that is not an integer returns 400.
The zero-based resource offset to start the response from. A negative or non-integer value returns 400.
Optional. Comma-separated workspace ids to restrict the consolidated list to, for an MSP or organization parent workspace. Ids outside the caller's scope are ignored; an empty intersection returns no items. For a non-parent workspace only its own id matches. Ignored unless the consolidated view is enabled for the caller.
Limit the resources operated on by an endpoint or when used with a multiple-GET endpoint, return only the subset of resources that match the filter. The filter grammar is a subset of OData 4.0.
Supported properties and operators:
namewithcontains, for examplecontains(name, 'test'). The match is not case-sensitive.cityandcountrywitheq, for examplecity eq 'Austin'. The match is not case-sensitive, and a location matches when any of its addresses matches.validatedandvalidationExpiredwitheq trueoreq false.
and: city with country (for example country eq 'United States' and city eq 'Austin', which returns locations with an address that matches both), and validated with validationExpired (for example validated eq false and validationExpired eq false returns locations that were never validated). or, not, other operators, other combinations and a property given more than once return 400. NOTE: The filter query parameter must use URL encoding. Most clients do this automatically with inputs provided to them specifically as query parameters. Encoding must be done manually for any query parameters provided as part of the URL. The reserved characters
! # $ & ' ( ) * + , / : ; = ? @ [ ] must be encoded with percent encoded equivalents. Return locations that contain a name that matches the one provided.
Return locations belonging to the city that matches the one provided.
Return locations belonging to the country that matches the one provided.
Return locations with an address in the city and country provided.
Return locations whose validation cycle has lapsed and need re-validation.
Return locations that are neither validated nor expired.
- https://global.api.greenlake.hpe.com/locations/v1/locations
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://global.api.greenlake.hpe.com/locations/v1/locations?limit=100' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "items": [ { … } ], "count": 0, "offset": 0, "total": 0 }
Location Information
Exactly one address of type street is required; one address of type shipping_receiving is optional.
Only addresses of type “shipping_receiving” can be added during an add operation.
Locations must have one primary contact but can have more than one of the other contact types.
The name of the contact. For API-created locations with a non-GLP email, append "NONGLP" to the name (e.g., "John Doe NONGLP").
The phone extension of the contact. Required only when the Phone Number is provided.
The date and time the location was validated, as an RFC 3339 timestamp in UTC.
- https://global.api.greenlake.hpe.com/locations/v1/locations
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://global.api.greenlake.hpe.com/locations/v1/locations \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"addresses": [
{
"city": "string",
"country": "string",
"postalCode": "string",
"state": "string",
"streetAddress": "string",
"type": "shipping_receiving"
}
],
"contacts": [
{
"email": "string",
"name": "string",
"type": "primary"
}
],
"name": "string",
"locationType": "building"
}'{ "addresses": [ { … } ], "contacts": [ { … } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "locationType": "building", "createdAt": "string", "description": "string", "expiredAt": "string", "generation": 0, "type": "locations/external-service", "updatedAt": "string", "validated": true, "validatedAt": "2019-08-24T14:15:22Z", "validatedByEmail": "string", "validatedByName": "string", "validationCycle": "", "validationExpired": false }
- https://global.api.greenlake.hpe.com/locations/v1/locations/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://global.api.greenlake.hpe.com/locations/v1/locations/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "addresses": [ { … } ], "contacts": [ { … } ], "description": "string", "expiredAt": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "locationType": "building", "validated": true, "validatedAt": "2019-08-24T14:15:22Z", "validatedByEmail": "string", "validatedByName": "string", "validationCycle": "", "validationExpired": false }
- https://global.api.greenlake.hpe.com/locations/v1/locations/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X DELETE \
'https://global.api.greenlake.hpe.com/locations/v1/locations/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Request
Update a location's information by specifying its location ID. Only include the fields that need to be updated in the request body. Fields that are not included in the request body will remain unchanged.
Note: The name and locationType fields are mandatory and cannot be set to empty or invalid values.
Updated Location Information
The date and time the location was validated, as an RFC 3339 timestamp in UTC.
- https://global.api.greenlake.hpe.com/locations/v1/locations/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PATCH \
'https://global.api.greenlake.hpe.com/locations/v1/locations/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/merge-patch+json' \
-d '{}'{ "addresses": [ { … } ], "contacts": [ { … } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "locationType": "building", "createdAt": "string", "description": "string", "expiredAt": "string", "generation": 0, "type": "locations/external-service", "updatedAt": "string", "validated": true, "validatedAt": "2019-08-24T14:15:22Z", "validatedByEmail": "string", "validatedByName": "string", "validationCycle": "", "validationExpired": false }
Request
Manage the location information for a location specified by its location ID. Provide information in the request body schema to create, update, or delete the location's address, contact, or location details. Only include the fields that need to be modified in the request body. Fields that are not included will remain unchanged.
- https://global.api.greenlake.hpe.com/locations/v1/locations/update/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations/update/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PATCH \
'https://global.api.greenlake.hpe.com/locations/v1/locations/update/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/merge-patch+json' \
-d '{}'{ "addresses": [ { … } ], "contacts": [ { … } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "locationType": "building", "createdAt": "string", "description": "string", "expiredAt": "string", "generation": 0, "type": "locations/external-service", "updatedAt": "string", "validated": true, "validatedAt": "2019-08-24T14:15:22Z", "validatedByEmail": "string", "validatedByName": "string", "validationCycle": "", "validationExpired": false }
- https://global.api.greenlake.hpe.com/locations/v1/locations/address/revgeocode
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations/address/revgeocode
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://global.api.greenlake.hpe.com/locations/v1/locations/address/revgeocode?latitude=string&longitude=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "label": "string", "countryCode": "string", "countryName": "string", "stateCode": "string", "state": "string", "county": "string", "city": "string", "street": "string", "postalCode": "string", "lat": 0.1, "lng": 0.1 }
First name of the primary contact. Required only when the email provided is a NON GLP email.
Last name of the primary contact. Required only when the email provided is a NON GLP email.
The phone number of the primary contact, [+][country code][phone number] format (e.g., +14155552671), without spaces or separators.
The phone extension of the primary contact, 1 to 4 digits (0-9). Required only when the Phone Number is provided.
- https://global.api.greenlake.hpe.com/locations/v1/locations/locations-csv-upload
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations/locations-csv-upload
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
'https://global.api.greenlake.hpe.com/locations/v1/locations/locations-csv-upload' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-F 'file=@file.csv'{ "status": "INITIALIZED", "startedAt": "string", "endedAt": "string", "progressPercent": 0, "suggestedPollingIntervalSeconds": 0, "timeoutMinutes": 0, "result": { "totalCount": 0, "succeededCount": 0, "failedCount": 0, "failedRecords": [ … ], "succeededRecords": [ … ], "errorMessage": "string" }, "id": "string", "type": "locations/asyncOperation" }
- https://global.api.greenlake.hpe.com/locations/v1/locations/async-operation/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations/async-operation/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://global.api.greenlake.hpe.com/locations/v1/locations/async-operation/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "status": "INITIALIZED", "startedAt": "string", "endedAt": "string", "progressPercent": 0, "suggestedPollingIntervalSeconds": 0, "timeoutMinutes": 0, "result": { "totalCount": 0, "succeededCount": 0, "failedCount": 0, "failedRecords": [ … ], "succeededRecords": [ … ], "errorMessage": "string" }, "id": "string", "type": "locations/asyncOperation" }
- https://global.api.greenlake.hpe.com/locations/v1/locations/status
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/location-management/public/openapi/locations-service-latest/v1/openapi/locations/v1/locations/status
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://global.api.greenlake.hpe.com/locations/v1/locations/status \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'